Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 389)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEE.xcodeproj/nicholas.pbxuser	(revision 390)
@@ -13252,7 +854,7 @@
 	E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 4961}}";
-			sepNavSelRange = "{5638, 3}";
-			sepNavVisRange = "{5191, 863}";
+			sepNavIntBoundsRect = "{{0, 0}, {787, 4994}}";
+			sepNavSelRange = "{9860, 7}";
+			sepNavVisRange = "{9289, 728}";
 			sepNavVisRect = "{{0, 0}, {802, 929}}";
 			sepNavWindowFrame = "{{824, 24}, {841, 967}}";
@@ -13377,5 +979,5 @@
 		hitCount = 0;
 		ignoreCount = 0;
-		modificationTime = 225396757.039047;
+		modificationTime = 225396757.0390469;
 		state = 2;
 		symbolName = _NSAutoreleaseNoPool;
@@ -13463,5 +1065,5 @@
 		ignoreCount = 0;
 		location = AppKit;
-		modificationTime = 225396757.039072;
+		modificationTime = 225396757.0390719;
 		state = 2;
 		symbolName = "-[_NSThemeWidget mouseDown:]";
@@ -13510,4 +1112,61 @@
 		state = 2;
 		symbolName = "-[NSControl mouseDown:]+160";
+	};
+	E1324E9E0D6F7E6B00ADB1ED /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 43";
+		rLen = 32;
+		rLoc = 1348;
+		rType = 0;
+		vrLen = 2257;
+		vrLoc = 0;
+	};
+	E1324E9F0D6F7E6B00ADB1ED /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
+		name = "ICeCoffEEConfig.h: 19";
+		rLen = 13;
+		rLoc = 361;
+		rType = 0;
+		vrLen = 1051;
+		vrLoc = 0;
+	};
+	E1324EA00D6F80AE00ADB1ED /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		rLen = 7;
+		rLoc = 9860;
+		rType = 0;
+	};
+	E1324EA30D6F80B800ADB1ED /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E12FEC3D04959F5A00AEFBF9 /* ICeCoffEEServicePrefController.m */;
+		name = "ICeCoffEEServicePrefController.m: 256";
+		rLen = 7;
+		rLoc = 9860;
+		rType = 0;
+		vrLen = 728;
+		vrLoc = 9289;
+	};
+	E1324EA60D6F80C100ADB1ED /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 52";
+		rLen = 0;
+		rLoc = 1627;
+		rType = 0;
+		vrLen = 2257;
+		vrLoc = 0;
+	};
+	E1324EA70D6F80C100ADB1ED /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
+		name = "ICeCoffEEConfig.h: 19";
+		rLen = 13;
+		rLoc = 361;
+		rType = 0;
+		vrLen = 1051;
+		vrLoc = 0;
 	};
 	E135625E03DC9FC200050002 /* ICeCoffEEShared.h */ = {
@@ -13609,7 +1268,7 @@
 	E14343B303DB4CF200050002 /* ICeCoffEE.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {754, 687}}";
-			sepNavSelRange = "{1434, 0}";
-			sepNavVisRange = "{0, 2038}";
+			sepNavIntBoundsRect = "{{0, 0}, {787, 583}}";
+			sepNavSelRange = "{573, 11}";
+			sepNavVisRange = "{17, 1102}";
 			sepNavVisRect = "{{0, 0}, {813, 376}}";
 			sepNavWindowFrame = "{{233, 206}, {813, 746}}";
@@ -13618,7 +1277,7 @@
 	E14343B403DB4CF200050002 /* ICeCoffEE.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {787, 5082}}";
+			sepNavIntBoundsRect = "{{0, 0}, {754, 4994}}";
 			sepNavSelRange = "{17065, 13}";
-			sepNavVisRange = "{16599, 1276}";
+			sepNavVisRange = "{15673, 2242}";
 			sepNavVisRect = "{{0, 2112}, {774, 708}}";
 			sepNavWindowFrame = "{{966, 83}, {813, 746}}";
@@ -13636,5 +1295,5 @@
 	E14343CE03DB66E900050002 /* ICeCoffEESuper.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {687, 452}}";
+			sepNavIntBoundsRect = "{{0, 0}, {687, 475}}";
 			sepNavSelRange = "{368, 0}";
 			sepNavVisRange = "{0, 368}";
@@ -13879,9 +1538,9 @@
 	E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {691, 737}}";
-			sepNavSelRange = "{403, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {691, 814}}";
+			sepNavSelRange = "{361, 13}";
 			sepNavVisRange = "{0, 1051}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
-			sepNavWindowFrame = "{{84, 244}, {750, 502}}";
+			sepNavWindowFrame = "{{732, 376}, {750, 502}}";
 		};
 	};
@@ -13897,7 +1556,7 @@
 	E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {808, 979}}";
-			sepNavSelRange = "{1065, 0}";
-			sepNavVisRange = "{0, 2289}";
+			sepNavIntBoundsRect = "{{0, 0}, {808, 1078}}";
+			sepNavSelRange = "{1627, 0}";
+			sepNavVisRange = "{0, 2257}";
 			sepNavVisRect = "{{0, 0}, {748, 605}}";
 			sepNavWindowFrame = "{{959, 138}, {867, 1016}}";
@@ -14064,4 +1723,14 @@
 		);
 	};
+	E1AE3D190D6F7DBC00209D15 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
+		name = "ICeCoffEEConfig.h: 27";
+		rLen = 0;
+		rLoc = 620;
+		rType = 0;
+		vrLen = 1051;
+		vrLoc = 0;
+	};
 	E1BB269003DB74B700050002 /* ICeCoffEEMenuOnly.m */ = {
 		uiCtxt = {
@@ -14074,6 +1743,7 @@
 	E1BB269403DB74C200050002 /* ICeCoffEEMenuSuper.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {629, 555}}";
-			sepNavSelRange = "{317, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {691, 466}}";
+			sepNavSelRange = "{161, 0}";
+			sepNavVisRange = "{0, 317}";
 			sepNavVisRect = "{{0, 0}, {629, 555}}";
 			sepNavWindowFrame = "{{38, 304}, {750, 502}}";
@@ -14121,6 +1791,7 @@
 	E1BF166B03DBE27000050002 /* ICeCoffEEWebKitSuper.h */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
-			sepNavSelRange = "{232, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {691, 466}}";
+			sepNavSelRange = "{200, 20}";
+			sepNavVisRange = "{0, 241}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
 			sepNavWindowFrame = "{{199, 71}, {750, 502}}";
@@ -14129,8 +1800,9 @@
 	E1BF166C03DBE27000050002 /* ICeCoffEEWebKitSuper.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {711, 465}}";
-			sepNavSelRange = "{224, 0}";
+			sepNavIntBoundsRect = "{{0, 0}, {787, 319}}";
+			sepNavSelRange = "{326, 7}";
+			sepNavVisRange = "{0, 437}";
 			sepNavVisRect = "{{0, 0}, {711, 464}}";
-			sepNavWindowFrame = "{{199, 71}, {750, 502}}";
+			sepNavWindowFrame = "{{484, 71}, {750, 502}}";
 		};
 	};
@@ -14176,5 +1848,5 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {713, 780}}";
-			sepNavSelRange = "{31, 0}";
+			sepNavSelRange = "{32, 0}";
 			sepNavVisRange = "{0, 32}";
 			sepNavVisRect = "{{0, 0}, {733, 778}}";
@@ -14191,4 +1863,34 @@
 		};
 	};
+	E1F137590D6F7E5D007D5BA3 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 64";
+		rLen = 0;
+		rLoc = 1892;
+		rType = 0;
+		vrLen = 2267;
+		vrLoc = 0;
+	};
+	E1F1375A0D6F7E5D007D5BA3 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E170DFDE0835D6F400B484AC /* ICeCoffEETrigger.m */;
+		name = "ICeCoffEETrigger.m: 63";
+		rLen = 0;
+		rLoc = 1804;
+		rType = 0;
+		vrLen = 2257;
+		vrLoc = 0;
+	};
+	E1F1375B0D6F7E5D007D5BA3 /* PBXTextBookmark */ = {
+		isa = PBXTextBookmark;
+		fRef = E169DBA703E4F6A400050002 /* ICeCoffEEConfig.h */;
+		name = "ICeCoffEEConfig.h: 19";
+		rLen = 13;
+		rLoc = 361;
+		rType = 0;
+		vrLen = 1051;
+		vrLoc = 0;
+	};
 	E1F6E3AC040BCC5700050002 /* Japanese */ = {
 		uiCtxt = {
@@ -14217,6 +1919,7 @@
 	F56276BA03796C8B01AA4DA5 /* CFPreferencesWrapper.m */ = {
 		uiCtxt = {
-			sepNavIntBoundsRect = "{{0, 0}, {828, 2332}}";
-			sepNavSelRange = "{4066, 61}";
+			sepNavIntBoundsRect = "{{0, 0}, {808, 2420}}";
+			sepNavSelRange = "{778, 0}";
+			sepNavVisRange = "{0, 1638}";
 			sepNavVisRect = "{{0, 1463}, {828, 868}}";
 			sepNavWindowFrame = "{{38, 246}, {867, 906}}";
@@ -14227,5 +1930,5 @@
 			sepNavIntBoundsRect = "{{0, 0}, {715, 6668}}";
 			sepNavSelRange = "{8506, 0}";
-			sepNavVisRect = "{{0, 2623}, {715, 686}}";
+			sepNavVisRect = "{{0, 2491}, {715, 709}}";
 			sepNavWindowFrame = "{{856, 65}, {754, 746}}";
 		};
@@ -14242,8 +1945,8 @@
 		uiCtxt = {
 			sepNavIntBoundsRect = "{{0, 0}, {796, 3437}}";
-			sepNavSelRange = "{2296, 0}";
-			sepNavVisRange = "{2053, 2358}";
+			sepNavSelRange = "{5011, 0}";
+			sepNavVisRange = "{3470, 3366}";
 			sepNavVisRect = "{{0, 566}, {813, 376}}";
-			sepNavWindowFrame = "{{182, 79}, {752, 654}}";
+			sepNavWindowFrame = "{{462, 37}, {855, 719}}";
 		};
 	};
Index: trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETrigger.m
===================================================================
--- trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETrigger.m	(revision 389)
+++ trunk/ICeCoffEE/ICeCoffEE/ICeCoffEETrigger.m	(revision 390)
@@ -59,4 +59,13 @@
 }
 
+- (void)finalize;
+{
+    ICLog(@"FINALIZE %@", self);
+    timer = nil;
+    target = nil;
+    event = nil;
+    [super finalize];
+}
+
 - (void)timerFired:(NSTimer *)aTimer;
 {
